列出交易
curl --request GET \
--url https://api.stage.localpayment.com/api/transactions/list/filter \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/transactions/list/filter"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/transactions/list/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/transactions/list/filter",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/transactions/list/filter"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/transactions/list/filter")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/transactions/list/filter")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"totalElements": 701,
"totalPages": 71,
"page": 1,
"size": 10,
"details": [
{
"transactionType": "PayIn",
"externalId": "8a581506-66a9-47bb-8dd6-093cdb4c4037",
"internalId": "86dfa0db-2d8c-4e74-aaa7-c0de7a3f0916",
"paymentMethod": {
"type": "CreditCard",
"code": "6001",
"flow": "DIRECT"
},
"country": "PER",
"currency": "PEN",
"amount": 100,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "PEN",
"fxQuote": 1,
"amount": 100
},
"payment": {
"currency": "PEN",
"fxQuote": 1,
"financingFee": 0,
"amount": 100
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "PEN",
"fxSource": 3.74489878,
"fxQuote": 1,
"amount": 0,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "peru",
"lastName": "peru",
"document": {
"type": "dni",
"id": "70182175"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Vuelta de Obligado",
"number": "2850",
"city": "DF",
"state": "DF",
"country": "per",
"zipCode": "27000000",
"comment": ""
},
"birthdate": "2000-01-01",
"nationality": "Argentinian",
"userReference": "nuvei.peru"
},
"payer": {
"type": "INDIVIDUAL",
"name": "peru",
"lastName": "peru",
"document": {
"type": "dni",
"id": "70182175"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "351",
"number": "2102892"
},
"address": {
"street": "Vuelta de Obligado",
"number": "2850",
"city": "DF",
"state": "DF",
"country": "per",
"zipCode": "27000000",
"comment": ""
},
"birthdate": "17/09/1958",
"nationality": "Argentina",
"userReference": "nuvei.peru"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T00:00:00.330",
"processedDate": "2024-12-01T00:00:15.134"
},
"card": {
"token": "6mpPOcelanx97C78/+TnAZfLg5vKvxZ95Xk0A0x753Q=",
"bin": "555034",
"brand": "MASTERCARD",
"country": "ZA",
"name": "Nuvei peru",
"last4": "2224",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 1
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "10c3da13-2de1-4869-8677-11bd356ec77b",
"internalId": "75db6f6f-ed76-4d6c-ad89-5b6e5d2f9eca",
"paymentMethod": {
"type": "CreditCard",
"code": "1600",
"flow": "DIRECT"
},
"country": "MEX",
"currency": "MXN",
"amount": 120,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "MXN",
"fxQuote": 1,
"amount": 120
},
"payment": {
"currency": "MXN",
"fxQuote": 1,
"financingFee": 0,
"amount": 120
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "MXN",
"fxSource": 20.38075,
"fxQuote": 1,
"amount": 1.6,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "Jane",
"lastName": "Doe",
"document": {
"type": "DNI",
"id": "123456789"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Charruas",
"number": "938",
"city": "Hurlingham",
"state": "state",
"country": "ARG",
"zipCode": "1688",
"comment": "portero 801"
},
"birthdate": "1985-10-30",
"nationality": "Argentinian",
"userReference": "xyz123"
},
"payer": {
"type": "INDIVIDUAL",
"name": "Manuel",
"lastName": "Cedro",
"document": {
"type": "RFC",
"id": "MAL180222MS6"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "1",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Siempre viva",
"number": "1234",
"city": "Temperley",
"state": "state",
"country": "ARG",
"zipCode": "1686",
"comment": "sin comentarios"
},
"birthdate": "01/01/1990",
"nationality": "Ecuatoriano",
"userReference": "identificador del pagador"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T00:00:18.580",
"processedDate": "2024-12-01T00:00:22.313"
},
"card": {
"token": "Txf+Hf/YlDNiJOkIifR7nXDnvH0IsuZN+dwyzen5Ks0=",
"bin": "424242",
"brand": "VISA",
"country": "GB",
"name": "MANUEL CEDRO",
"last4": "4242",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 0
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "863fd757-5998-4af8-a593-af99483aad02",
"internalId": "66781c69-e158-46fc-bbcb-113eebccb5d0",
"paymentMethod": {
"type": "CreditCard",
"code": "6001",
"flow": "DIRECT"
},
"country": "PER",
"currency": "PEN",
"amount": 100,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "PEN",
"fxQuote": 1,
"amount": 100
},
"payment": {
"currency": "PEN",
"fxQuote": 1,
"financingFee": 0,
"amount": 100
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "PEN",
"fxSource": 3.74489878,
"fxQuote": 1,
"amount": 0,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "peru",
"lastName": "peru",
"document": {
"type": "dni",
"id": "70182175"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Vuelta de Obligado",
"number": "2850",
"city": "DF",
"state": "DF",
"country": "per",
"zipCode": "27000000",
"comment": ""
},
"birthdate": "2000-01-01",
"nationality": "Argentinian",
"userReference": "nuvei.peru"
},
"payer": {
"type": "INDIVIDUAL",
"name": "peru",
"lastName": "peru",
"document": {
"type": "dni",
"id": "70182175"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "351",
"number": "2102892"
},
"address": {
"street": "Vuelta de Obligado",
"number": "2850",
"city": "DF",
"state": "DF",
"country": "per",
"zipCode": "27000000",
"comment": ""
},
"birthdate": "17/09/1958",
"nationality": "Argentina",
"userReference": "nuvei.peru"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T01:00:00.418",
"processedDate": "2024-12-01T01:00:15.834"
},
"card": {
"token": "6mpPOcelanx97C78/+TnAZfLg5vKvxZ95Xk0A0x753Q=",
"bin": "555034",
"brand": "MASTERCARD",
"country": "ZA",
"name": "Nuvei peru",
"last4": "2224",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 1
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "e26a6e3c-c85f-4991-90d4-8ce4c145d4cd",
"internalId": "7d8f3dad-1cae-481e-b883-ae8514fbbd73",
"paymentMethod": {
"type": "CreditCard",
"code": "1600",
"flow": "DIRECT"
},
"country": "MEX",
"currency": "MXN",
"amount": 120,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "MXN",
"fxQuote": 1,
"amount": 120
},
"payment": {
"currency": "MXN",
"fxQuote": 1,
"financingFee": 0,
"amount": 120
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "MXN",
"fxSource": 20.38075,
"fxQuote": 1,
"amount": 1.6,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "Jane",
"lastName": "Doe",
"document": {
"type": "DNI",
"id": "123456789"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Charruas",
"number": "938",
"city": "Hurlingham",
"state": "state",
"country": "ARG",
"zipCode": "1688",
"comment": "portero 801"
},
"birthdate": "1985-10-30",
"nationality": "Argentinian",
"userReference": "xyz123"
},
"payer": {
"type": "INDIVIDUAL",
"name": "Manuel",
"lastName": "Cedro",
"document": {
"type": "RFC",
"id": "MAL180222MS6"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "1",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Siempre viva",
"number": "1234",
"city": "Temperley",
"state": "state",
"country": "ARG",
"zipCode": "1686",
"comment": "sin comentarios"
},
"birthdate": "01/01/1990",
"nationality": "Ecuatoriano",
"userReference": "identificador del pagador"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T01:00:18.859",
"processedDate": "2024-12-01T01:00:23.374"
},
"card": {
"token": "Txf+Hf/YlDNiJOkIifR7nXDnvH0IsuZN+dwyzen5Ks0=",
"bin": "424242",
"brand": "VISA",
"country": "GB",
"name": "MANUEL CEDRO",
"last4": "4242",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 0
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "a0d248b6-05c6-46f1-b5a5-a4bb99ad2360",
"internalId": "960ba70b-538f-4998-a8f5-656cbd1658ac",
"paymentMethod": {
"type": "CreditCard",
"code": "1600",
"flow": "DIRECT"
},
"country": "MEX",
"currency": "MXN",
"amount": 80,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "MXN",
"fxQuote": 1,
"amount": 80
},
"payment": {
"currency": "MXN",
"fxQuote": 1,
"financingFee": 0,
"amount": 80
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "MXN",
"fxSource": 20.38075,
"fxQuote": 1,
"amount": 1.4,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "Jane",
"lastName": "Doe",
"document": {
"type": "DNI",
"id": "123456789"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Charruas",
"number": "938",
"city": "Hurlingham",
"state": "state",
"country": "ARG",
"zipCode": "1688",
"comment": "portero 801"
},
"birthdate": "1985-10-30",
"nationality": "Argentinian",
"userReference": "xyz123"
},
"payer": {
"type": "INDIVIDUAL",
"name": "Manuel",
"lastName": "Cedro",
"document": {
"type": "RFC",
"id": "MAL180222MS6"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "1",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Siempre viva",
"number": "1234",
"city": "Temperley",
"state": "state",
"country": "ARG",
"zipCode": "1686",
"comment": "sin comentarios"
},
"birthdate": "01/01/1990",
"nationality": "Ecuatoriano",
"userReference": "identificador del pagador"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T01:00:25.592",
"processedDate": "2024-12-01T01:00:30.084"
},
"card": {
"token": "ZOh4afARAq16QJmEesJy5ntpCdT0GxawCssFSNQlDAw=",
"bin": "424242",
"brand": "VISA",
"country": "GB",
"name": "MANUEL CEDRO",
"last4": "4242",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 0
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "b0cb420b-3fda-427d-8eea-bb6cc5c51d1b",
"internalId": "bcbb2af0-95b1-4dc8-a800-0041b08b8354",
"paymentMethod": {
"type": "CreditCard",
"code": "6001",
"flow": "DIRECT"
},
"country": "PER",
"currency": "PEN",
"amount": 100,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "PEN",
"fxQuote": 1,
"amount": 100
},
"payment": {
"currency": "PEN",
"fxQuote": 1,
"financingFee": 0,
"amount": 100
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "PEN",
"fxSource": 3.74489878,
"fxQuote": 1,
"amount": 0,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "peru",
"lastName": "peru",
"document": {
"type": "dni",
"id": "70182175"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Vuelta de Obligado",
"number": "2850",
"city": "DF",
"state": "DF",
"country": "per",
"zipCode": "27000000",
"comment": ""
},
"birthdate": "2000-01-01",
"nationality": "Argentinian",
"userReference": "nuvei.peru"
},
"payer": {
"type": "INDIVIDUAL",
"name": "peru",
"lastName": "peru",
"document": {
"type": "dni",
"id": "70182175"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "351",
"number": "2102892"
},
"address": {
"street": "Vuelta de Obligado",
"number": "2850",
"city": "DF",
"state": "DF",
"country": "per",
"zipCode": "27000000",
"comment": ""
},
"birthdate": "17/09/1958",
"nationality": "Argentina",
"userReference": "nuvei.peru"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T02:00:20.179",
"processedDate": "2024-12-01T02:00:25.927"
},
"card": {
"token": "6mpPOcelanx97C78/+TnAZfLg5vKvxZ95Xk0A0x753Q=",
"bin": "555034",
"brand": "MASTERCARD",
"country": "ZA",
"name": "Nuvei peru",
"last4": "2224",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 1
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "01906abb-32c1-4d3d-86e6-f3c6efc72d85",
"internalId": "1e6057df-393d-4e78-80a7-35a028d4c447",
"paymentMethod": {
"type": "CreditCard",
"code": "1600",
"flow": "DIRECT"
},
"country": "MEX",
"currency": "MXN",
"amount": 120,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "MXN",
"fxQuote": 1,
"amount": 120
},
"payment": {
"currency": "MXN",
"fxQuote": 1,
"financingFee": 0,
"amount": 120
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "MXN",
"fxSource": 20.38075,
"fxQuote": 1,
"amount": 1.6,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "Jane",
"lastName": "Doe",
"document": {
"type": "DNI",
"id": "123456789"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Charruas",
"number": "938",
"city": "Hurlingham",
"state": "state",
"country": "ARG",
"zipCode": "1688",
"comment": "portero 801"
},
"birthdate": "1985-10-30",
"nationality": "Argentinian",
"userReference": "xyz123"
},
"payer": {
"type": "INDIVIDUAL",
"name": "Manuel",
"lastName": "Cedro",
"document": {
"type": "RFC",
"id": "MAL180222MS6"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "1",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Siempre viva",
"number": "1234",
"city": "Temperley",
"state": "state",
"country": "ARG",
"zipCode": "1686",
"comment": "sin comentarios"
},
"birthdate": "01/01/1990",
"nationality": "Ecuatoriano",
"userReference": "identificador del pagador"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T02:00:29.250",
"processedDate": "2024-12-01T02:00:33.993"
},
"card": {
"token": "Txf+Hf/YlDNiJOkIifR7nXDnvH0IsuZN+dwyzen5Ks0=",
"bin": "424242",
"brand": "VISA",
"country": "GB",
"name": "MANUEL CEDRO",
"last4": "4242",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 0
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "7ae93149-eb54-4a5f-902b-b3d6644709ac",
"internalId": "d6b3a4ee-d06e-4c25-b78c-6037d4991107",
"paymentMethod": {
"type": "CreditCard",
"code": "1600",
"flow": "DIRECT"
},
"country": "MEX",
"currency": "MXN",
"amount": 80,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "MXN",
"fxQuote": 1,
"amount": 80
},
"payment": {
"currency": "MXN",
"fxQuote": 1,
"financingFee": 0,
"amount": 80
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "MXN",
"fxSource": 20.38075,
"fxQuote": 1,
"amount": 1.4,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "Jane",
"lastName": "Doe",
"document": {
"type": "DNI",
"id": "123456789"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Charruas",
"number": "938",
"city": "Hurlingham",
"state": "state",
"country": "ARG",
"zipCode": "1688",
"comment": "portero 801"
},
"birthdate": "1985-10-30",
"nationality": "Argentinian",
"userReference": "xyz123"
},
"payer": {
"type": "INDIVIDUAL",
"name": "Manuel",
"lastName": "Cedro",
"document": {
"type": "RFC",
"id": "MAL180222MS6"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "1",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Siempre viva",
"number": "1234",
"city": "Temperley",
"state": "state",
"country": "ARG",
"zipCode": "1686",
"comment": "sin comentarios"
},
"birthdate": "01/01/1990",
"nationality": "Ecuatoriano",
"userReference": "identificador del pagador"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T02:00:35.997",
"processedDate": "2024-12-01T02:00:40.279"
},
"card": {
"token": "ZOh4afARAq16QJmEesJy5ntpCdT0GxawCssFSNQlDAw=",
"bin": "424242",
"brand": "VISA",
"country": "GB",
"name": "MANUEL CEDRO",
"last4": "4242",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 0
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "5da20352-3b14-4b51-8418-b7e71fddb103",
"internalId": "489cca99-1fd0-4aeb-b1df-2a55a7a01d47",
"paymentMethod": {
"type": "CreditCard",
"code": "6001",
"flow": "DIRECT"
},
"country": "PER",
"currency": "PEN",
"amount": 100,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "PEN",
"fxQuote": 1,
"amount": 100
},
"payment": {
"currency": "PEN",
"fxQuote": 1,
"financingFee": 0,
"amount": 100
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "PEN",
"fxSource": 3.74489834,
"fxQuote": 1,
"amount": 0,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "peru",
"lastName": "peru",
"document": {
"type": "dni",
"id": "70182175"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Vuelta de Obligado",
"number": "2850",
"city": "DF",
"state": "DF",
"country": "per",
"zipCode": "27000000",
"comment": ""
},
"birthdate": "2000-01-01",
"nationality": "Argentinian",
"userReference": "nuvei.peru"
},
"payer": {
"type": "INDIVIDUAL",
"name": "peru",
"lastName": "peru",
"document": {
"type": "dni",
"id": "70182175"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "351",
"number": "2102892"
},
"address": {
"street": "Vuelta de Obligado",
"number": "2850",
"city": "DF",
"state": "DF",
"country": "per",
"zipCode": "27000000",
"comment": ""
},
"birthdate": "17/09/1958",
"nationality": "Argentina",
"userReference": "nuvei.peru"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T03:00:03.891",
"processedDate": "2024-12-01T03:00:17.541"
},
"card": {
"token": "6mpPOcelanx97C78/+TnAZfLg5vKvxZ95Xk0A0x753Q=",
"bin": "555034",
"brand": "MASTERCARD",
"country": "ZA",
"name": "Nuvei peru",
"last4": "2224",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 1
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "3973d8c0-e143-4a40-950f-d91ee2b69c48",
"internalId": "1f922a9f-3144-4a08-a56d-c4a12541728e",
"paymentMethod": {
"type": "CreditCard",
"code": "1600",
"flow": "DIRECT"
},
"country": "MEX",
"currency": "MXN",
"amount": 120,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "MXN",
"fxQuote": 1,
"amount": 120
},
"payment": {
"currency": "MXN",
"fxQuote": 1,
"financingFee": 0,
"amount": 120
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "MXN",
"fxSource": 20.375504,
"fxQuote": 1,
"amount": 1.6,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "Jane",
"lastName": "Doe",
"document": {
"type": "DNI",
"id": "123456789"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Charruas",
"number": "938",
"city": "Hurlingham",
"state": "state",
"country": "ARG",
"zipCode": "1688",
"comment": "portero 801"
},
"birthdate": "1985-10-30",
"nationality": "Argentinian",
"userReference": "xyz123"
},
"payer": {
"type": "INDIVIDUAL",
"name": "Manuel",
"lastName": "Cedro",
"document": {
"type": "RFC",
"id": "MAL180222MS6"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "1",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Siempre viva",
"number": "1234",
"city": "Temperley",
"state": "state",
"country": "ARG",
"zipCode": "1686",
"comment": "sin comentarios"
},
"birthdate": "01/01/1990",
"nationality": "Ecuatoriano",
"userReference": "identificador del pagador"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T03:00:20.831",
"processedDate": "2024-12-01T03:00:25.618"
},
"card": {
"token": "Txf+Hf/YlDNiJOkIifR7nXDnvH0IsuZN+dwyzen5Ks0=",
"bin": "424242",
"brand": "VISA",
"country": "GB",
"name": "MANUEL CEDRO",
"last4": "4242",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 0
},
"errors": []
}
]
}
交易
列出交易
GET
/
api
/
transactions
/
list
/
filter
列出交易
curl --request GET \
--url https://api.stage.localpayment.com/api/transactions/list/filter \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/transactions/list/filter"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/transactions/list/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/transactions/list/filter",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/transactions/list/filter"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/transactions/list/filter")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/transactions/list/filter")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"totalElements": 701,
"totalPages": 71,
"page": 1,
"size": 10,
"details": [
{
"transactionType": "PayIn",
"externalId": "8a581506-66a9-47bb-8dd6-093cdb4c4037",
"internalId": "86dfa0db-2d8c-4e74-aaa7-c0de7a3f0916",
"paymentMethod": {
"type": "CreditCard",
"code": "6001",
"flow": "DIRECT"
},
"country": "PER",
"currency": "PEN",
"amount": 100,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "PEN",
"fxQuote": 1,
"amount": 100
},
"payment": {
"currency": "PEN",
"fxQuote": 1,
"financingFee": 0,
"amount": 100
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "PEN",
"fxSource": 3.74489878,
"fxQuote": 1,
"amount": 0,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "peru",
"lastName": "peru",
"document": {
"type": "dni",
"id": "70182175"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Vuelta de Obligado",
"number": "2850",
"city": "DF",
"state": "DF",
"country": "per",
"zipCode": "27000000",
"comment": ""
},
"birthdate": "2000-01-01",
"nationality": "Argentinian",
"userReference": "nuvei.peru"
},
"payer": {
"type": "INDIVIDUAL",
"name": "peru",
"lastName": "peru",
"document": {
"type": "dni",
"id": "70182175"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "351",
"number": "2102892"
},
"address": {
"street": "Vuelta de Obligado",
"number": "2850",
"city": "DF",
"state": "DF",
"country": "per",
"zipCode": "27000000",
"comment": ""
},
"birthdate": "17/09/1958",
"nationality": "Argentina",
"userReference": "nuvei.peru"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T00:00:00.330",
"processedDate": "2024-12-01T00:00:15.134"
},
"card": {
"token": "6mpPOcelanx97C78/+TnAZfLg5vKvxZ95Xk0A0x753Q=",
"bin": "555034",
"brand": "MASTERCARD",
"country": "ZA",
"name": "Nuvei peru",
"last4": "2224",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 1
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "10c3da13-2de1-4869-8677-11bd356ec77b",
"internalId": "75db6f6f-ed76-4d6c-ad89-5b6e5d2f9eca",
"paymentMethod": {
"type": "CreditCard",
"code": "1600",
"flow": "DIRECT"
},
"country": "MEX",
"currency": "MXN",
"amount": 120,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "MXN",
"fxQuote": 1,
"amount": 120
},
"payment": {
"currency": "MXN",
"fxQuote": 1,
"financingFee": 0,
"amount": 120
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "MXN",
"fxSource": 20.38075,
"fxQuote": 1,
"amount": 1.6,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "Jane",
"lastName": "Doe",
"document": {
"type": "DNI",
"id": "123456789"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Charruas",
"number": "938",
"city": "Hurlingham",
"state": "state",
"country": "ARG",
"zipCode": "1688",
"comment": "portero 801"
},
"birthdate": "1985-10-30",
"nationality": "Argentinian",
"userReference": "xyz123"
},
"payer": {
"type": "INDIVIDUAL",
"name": "Manuel",
"lastName": "Cedro",
"document": {
"type": "RFC",
"id": "MAL180222MS6"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "1",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Siempre viva",
"number": "1234",
"city": "Temperley",
"state": "state",
"country": "ARG",
"zipCode": "1686",
"comment": "sin comentarios"
},
"birthdate": "01/01/1990",
"nationality": "Ecuatoriano",
"userReference": "identificador del pagador"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T00:00:18.580",
"processedDate": "2024-12-01T00:00:22.313"
},
"card": {
"token": "Txf+Hf/YlDNiJOkIifR7nXDnvH0IsuZN+dwyzen5Ks0=",
"bin": "424242",
"brand": "VISA",
"country": "GB",
"name": "MANUEL CEDRO",
"last4": "4242",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 0
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "863fd757-5998-4af8-a593-af99483aad02",
"internalId": "66781c69-e158-46fc-bbcb-113eebccb5d0",
"paymentMethod": {
"type": "CreditCard",
"code": "6001",
"flow": "DIRECT"
},
"country": "PER",
"currency": "PEN",
"amount": 100,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "PEN",
"fxQuote": 1,
"amount": 100
},
"payment": {
"currency": "PEN",
"fxQuote": 1,
"financingFee": 0,
"amount": 100
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "PEN",
"fxSource": 3.74489878,
"fxQuote": 1,
"amount": 0,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "peru",
"lastName": "peru",
"document": {
"type": "dni",
"id": "70182175"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Vuelta de Obligado",
"number": "2850",
"city": "DF",
"state": "DF",
"country": "per",
"zipCode": "27000000",
"comment": ""
},
"birthdate": "2000-01-01",
"nationality": "Argentinian",
"userReference": "nuvei.peru"
},
"payer": {
"type": "INDIVIDUAL",
"name": "peru",
"lastName": "peru",
"document": {
"type": "dni",
"id": "70182175"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "351",
"number": "2102892"
},
"address": {
"street": "Vuelta de Obligado",
"number": "2850",
"city": "DF",
"state": "DF",
"country": "per",
"zipCode": "27000000",
"comment": ""
},
"birthdate": "17/09/1958",
"nationality": "Argentina",
"userReference": "nuvei.peru"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T01:00:00.418",
"processedDate": "2024-12-01T01:00:15.834"
},
"card": {
"token": "6mpPOcelanx97C78/+TnAZfLg5vKvxZ95Xk0A0x753Q=",
"bin": "555034",
"brand": "MASTERCARD",
"country": "ZA",
"name": "Nuvei peru",
"last4": "2224",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 1
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "e26a6e3c-c85f-4991-90d4-8ce4c145d4cd",
"internalId": "7d8f3dad-1cae-481e-b883-ae8514fbbd73",
"paymentMethod": {
"type": "CreditCard",
"code": "1600",
"flow": "DIRECT"
},
"country": "MEX",
"currency": "MXN",
"amount": 120,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "MXN",
"fxQuote": 1,
"amount": 120
},
"payment": {
"currency": "MXN",
"fxQuote": 1,
"financingFee": 0,
"amount": 120
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "MXN",
"fxSource": 20.38075,
"fxQuote": 1,
"amount": 1.6,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "Jane",
"lastName": "Doe",
"document": {
"type": "DNI",
"id": "123456789"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Charruas",
"number": "938",
"city": "Hurlingham",
"state": "state",
"country": "ARG",
"zipCode": "1688",
"comment": "portero 801"
},
"birthdate": "1985-10-30",
"nationality": "Argentinian",
"userReference": "xyz123"
},
"payer": {
"type": "INDIVIDUAL",
"name": "Manuel",
"lastName": "Cedro",
"document": {
"type": "RFC",
"id": "MAL180222MS6"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "1",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Siempre viva",
"number": "1234",
"city": "Temperley",
"state": "state",
"country": "ARG",
"zipCode": "1686",
"comment": "sin comentarios"
},
"birthdate": "01/01/1990",
"nationality": "Ecuatoriano",
"userReference": "identificador del pagador"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T01:00:18.859",
"processedDate": "2024-12-01T01:00:23.374"
},
"card": {
"token": "Txf+Hf/YlDNiJOkIifR7nXDnvH0IsuZN+dwyzen5Ks0=",
"bin": "424242",
"brand": "VISA",
"country": "GB",
"name": "MANUEL CEDRO",
"last4": "4242",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 0
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "a0d248b6-05c6-46f1-b5a5-a4bb99ad2360",
"internalId": "960ba70b-538f-4998-a8f5-656cbd1658ac",
"paymentMethod": {
"type": "CreditCard",
"code": "1600",
"flow": "DIRECT"
},
"country": "MEX",
"currency": "MXN",
"amount": 80,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "MXN",
"fxQuote": 1,
"amount": 80
},
"payment": {
"currency": "MXN",
"fxQuote": 1,
"financingFee": 0,
"amount": 80
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "MXN",
"fxSource": 20.38075,
"fxQuote": 1,
"amount": 1.4,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "Jane",
"lastName": "Doe",
"document": {
"type": "DNI",
"id": "123456789"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Charruas",
"number": "938",
"city": "Hurlingham",
"state": "state",
"country": "ARG",
"zipCode": "1688",
"comment": "portero 801"
},
"birthdate": "1985-10-30",
"nationality": "Argentinian",
"userReference": "xyz123"
},
"payer": {
"type": "INDIVIDUAL",
"name": "Manuel",
"lastName": "Cedro",
"document": {
"type": "RFC",
"id": "MAL180222MS6"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "1",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Siempre viva",
"number": "1234",
"city": "Temperley",
"state": "state",
"country": "ARG",
"zipCode": "1686",
"comment": "sin comentarios"
},
"birthdate": "01/01/1990",
"nationality": "Ecuatoriano",
"userReference": "identificador del pagador"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T01:00:25.592",
"processedDate": "2024-12-01T01:00:30.084"
},
"card": {
"token": "ZOh4afARAq16QJmEesJy5ntpCdT0GxawCssFSNQlDAw=",
"bin": "424242",
"brand": "VISA",
"country": "GB",
"name": "MANUEL CEDRO",
"last4": "4242",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 0
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "b0cb420b-3fda-427d-8eea-bb6cc5c51d1b",
"internalId": "bcbb2af0-95b1-4dc8-a800-0041b08b8354",
"paymentMethod": {
"type": "CreditCard",
"code": "6001",
"flow": "DIRECT"
},
"country": "PER",
"currency": "PEN",
"amount": 100,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "PEN",
"fxQuote": 1,
"amount": 100
},
"payment": {
"currency": "PEN",
"fxQuote": 1,
"financingFee": 0,
"amount": 100
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "PEN",
"fxSource": 3.74489878,
"fxQuote": 1,
"amount": 0,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "peru",
"lastName": "peru",
"document": {
"type": "dni",
"id": "70182175"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Vuelta de Obligado",
"number": "2850",
"city": "DF",
"state": "DF",
"country": "per",
"zipCode": "27000000",
"comment": ""
},
"birthdate": "2000-01-01",
"nationality": "Argentinian",
"userReference": "nuvei.peru"
},
"payer": {
"type": "INDIVIDUAL",
"name": "peru",
"lastName": "peru",
"document": {
"type": "dni",
"id": "70182175"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "351",
"number": "2102892"
},
"address": {
"street": "Vuelta de Obligado",
"number": "2850",
"city": "DF",
"state": "DF",
"country": "per",
"zipCode": "27000000",
"comment": ""
},
"birthdate": "17/09/1958",
"nationality": "Argentina",
"userReference": "nuvei.peru"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T02:00:20.179",
"processedDate": "2024-12-01T02:00:25.927"
},
"card": {
"token": "6mpPOcelanx97C78/+TnAZfLg5vKvxZ95Xk0A0x753Q=",
"bin": "555034",
"brand": "MASTERCARD",
"country": "ZA",
"name": "Nuvei peru",
"last4": "2224",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 1
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "01906abb-32c1-4d3d-86e6-f3c6efc72d85",
"internalId": "1e6057df-393d-4e78-80a7-35a028d4c447",
"paymentMethod": {
"type": "CreditCard",
"code": "1600",
"flow": "DIRECT"
},
"country": "MEX",
"currency": "MXN",
"amount": 120,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "MXN",
"fxQuote": 1,
"amount": 120
},
"payment": {
"currency": "MXN",
"fxQuote": 1,
"financingFee": 0,
"amount": 120
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "MXN",
"fxSource": 20.38075,
"fxQuote": 1,
"amount": 1.6,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "Jane",
"lastName": "Doe",
"document": {
"type": "DNI",
"id": "123456789"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Charruas",
"number": "938",
"city": "Hurlingham",
"state": "state",
"country": "ARG",
"zipCode": "1688",
"comment": "portero 801"
},
"birthdate": "1985-10-30",
"nationality": "Argentinian",
"userReference": "xyz123"
},
"payer": {
"type": "INDIVIDUAL",
"name": "Manuel",
"lastName": "Cedro",
"document": {
"type": "RFC",
"id": "MAL180222MS6"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "1",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Siempre viva",
"number": "1234",
"city": "Temperley",
"state": "state",
"country": "ARG",
"zipCode": "1686",
"comment": "sin comentarios"
},
"birthdate": "01/01/1990",
"nationality": "Ecuatoriano",
"userReference": "identificador del pagador"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T02:00:29.250",
"processedDate": "2024-12-01T02:00:33.993"
},
"card": {
"token": "Txf+Hf/YlDNiJOkIifR7nXDnvH0IsuZN+dwyzen5Ks0=",
"bin": "424242",
"brand": "VISA",
"country": "GB",
"name": "MANUEL CEDRO",
"last4": "4242",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 0
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "7ae93149-eb54-4a5f-902b-b3d6644709ac",
"internalId": "d6b3a4ee-d06e-4c25-b78c-6037d4991107",
"paymentMethod": {
"type": "CreditCard",
"code": "1600",
"flow": "DIRECT"
},
"country": "MEX",
"currency": "MXN",
"amount": 80,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "MXN",
"fxQuote": 1,
"amount": 80
},
"payment": {
"currency": "MXN",
"fxQuote": 1,
"financingFee": 0,
"amount": 80
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "MXN",
"fxSource": 20.38075,
"fxQuote": 1,
"amount": 1.4,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "Jane",
"lastName": "Doe",
"document": {
"type": "DNI",
"id": "123456789"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Charruas",
"number": "938",
"city": "Hurlingham",
"state": "state",
"country": "ARG",
"zipCode": "1688",
"comment": "portero 801"
},
"birthdate": "1985-10-30",
"nationality": "Argentinian",
"userReference": "xyz123"
},
"payer": {
"type": "INDIVIDUAL",
"name": "Manuel",
"lastName": "Cedro",
"document": {
"type": "RFC",
"id": "MAL180222MS6"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "1",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Siempre viva",
"number": "1234",
"city": "Temperley",
"state": "state",
"country": "ARG",
"zipCode": "1686",
"comment": "sin comentarios"
},
"birthdate": "01/01/1990",
"nationality": "Ecuatoriano",
"userReference": "identificador del pagador"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T02:00:35.997",
"processedDate": "2024-12-01T02:00:40.279"
},
"card": {
"token": "ZOh4afARAq16QJmEesJy5ntpCdT0GxawCssFSNQlDAw=",
"bin": "424242",
"brand": "VISA",
"country": "GB",
"name": "MANUEL CEDRO",
"last4": "4242",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 0
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "5da20352-3b14-4b51-8418-b7e71fddb103",
"internalId": "489cca99-1fd0-4aeb-b1df-2a55a7a01d47",
"paymentMethod": {
"type": "CreditCard",
"code": "6001",
"flow": "DIRECT"
},
"country": "PER",
"currency": "PEN",
"amount": 100,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "PEN",
"fxQuote": 1,
"amount": 100
},
"payment": {
"currency": "PEN",
"fxQuote": 1,
"financingFee": 0,
"amount": 100
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "PEN",
"fxSource": 3.74489834,
"fxQuote": 1,
"amount": 0,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "peru",
"lastName": "peru",
"document": {
"type": "dni",
"id": "70182175"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Vuelta de Obligado",
"number": "2850",
"city": "DF",
"state": "DF",
"country": "per",
"zipCode": "27000000",
"comment": ""
},
"birthdate": "2000-01-01",
"nationality": "Argentinian",
"userReference": "nuvei.peru"
},
"payer": {
"type": "INDIVIDUAL",
"name": "peru",
"lastName": "peru",
"document": {
"type": "dni",
"id": "70182175"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "351",
"number": "2102892"
},
"address": {
"street": "Vuelta de Obligado",
"number": "2850",
"city": "DF",
"state": "DF",
"country": "per",
"zipCode": "27000000",
"comment": ""
},
"birthdate": "17/09/1958",
"nationality": "Argentina",
"userReference": "nuvei.peru"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T03:00:03.891",
"processedDate": "2024-12-01T03:00:17.541"
},
"card": {
"token": "6mpPOcelanx97C78/+TnAZfLg5vKvxZ95Xk0A0x753Q=",
"bin": "555034",
"brand": "MASTERCARD",
"country": "ZA",
"name": "Nuvei peru",
"last4": "2224",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 1
},
"errors": []
},
{
"transactionType": "PayIn",
"externalId": "3973d8c0-e143-4a40-950f-d91ee2b69c48",
"internalId": "1f922a9f-3144-4a08-a56d-c4a12541728e",
"paymentMethod": {
"type": "CreditCard",
"code": "1600",
"flow": "DIRECT"
},
"country": "MEX",
"currency": "MXN",
"amount": 120,
"accountNumber": "{{accountNumber}}",
"confirmed": {
"currency": "MXN",
"fxQuote": 1,
"amount": 120
},
"payment": {
"currency": "MXN",
"fxQuote": 1,
"financingFee": 0,
"amount": 120
},
"localTaxes": [],
"withHoldings": [],
"fees": {
"description": "Fee",
"currency": "MXN",
"fxSource": 20.375504,
"fxQuote": 1,
"amount": 1.6,
"account": "{{accountNumber}}"
},
"status": {
"code": "200",
"description": "COMPLETED",
"detail": "The payin was credited"
},
"ticket": null,
"qr": null,
"beneficiary": null,
"merchant": {
"type": "INDIVIDUAL",
"name": "Jane",
"lastName": "Doe",
"document": {
"type": "DNI",
"id": "123456789"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "54",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Charruas",
"number": "938",
"city": "Hurlingham",
"state": "state",
"country": "ARG",
"zipCode": "1688",
"comment": "portero 801"
},
"birthdate": "1985-10-30",
"nationality": "Argentinian",
"userReference": "xyz123"
},
"payer": {
"type": "INDIVIDUAL",
"name": "Manuel",
"lastName": "Cedro",
"document": {
"type": "RFC",
"id": "MAL180222MS6"
},
"email": "jane.doe@example.com",
"phone": {
"countryCode": "1",
"areaCode": "11",
"number": "98789632"
},
"address": {
"street": "Siempre viva",
"number": "1234",
"city": "Temperley",
"state": "state",
"country": "ARG",
"zipCode": "1686",
"comment": "sin comentarios"
},
"birthdate": "01/01/1990",
"nationality": "Ecuatoriano",
"userReference": "identificador del pagador"
},
"intermediaries": [],
"wireInstructions": null,
"date": {
"creationDate": "2024-12-01T03:00:20.831",
"processedDate": "2024-12-01T03:00:25.618"
},
"card": {
"token": "Txf+Hf/YlDNiJOkIifR7nXDnvH0IsuZN+dwyzen5Ks0=",
"bin": "424242",
"brand": "VISA",
"country": "GB",
"name": "MANUEL CEDRO",
"last4": "4242",
"expirationYear": 2025,
"expirationMonth": 11,
"installments": 0
},
"errors": []
}
]
}
最后修改于 2026年11月10日

